Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.transaction
Class TransactionSearchObject

    java.lang.Object
      com.sun.mdm.index.master.search.transaction.TransactionSearchObject

All Implemented Interfaces:
  java.io.Serializable

public class TransactionSearchObject
extends java.lang.Object
implements java.io.Serializable

The TransactionSearchObject class is an object representing the search criteria passed to lookupTransaction when performing a search for transaction histories. Use the methods in this class to populate or retrieve the fields in the search object, and to define the fields in the transaction search results list.

See Also:
  Serialized Form

Constructor Summary
`TransactionSearchObject()` Creates a new instance of the TransactionSearchObject class.
`TransactionSearchObject(java.util.Date sDate)` Creates a new instance of the TransactionSearchObject class with a starting date for the search.
`TransactionSearchObject(java.util.Date sDate, java.util.Date eDate)` Creates a new instance of the TransactionSearchObject class with starting and ending dates for the search.
`TransactionSearchObject(java.lang.String euid, java.lang.String sysCode, java.lang.String lid, java.util.Date sDate, java.util.Date eDate, java.lang.String function, java.lang.String user)` Creates a new instance of the TransactionSearchObject class with search criteria.

Method Summary
`java.util.Date` | `getEndDate()` Retrieves the value of the endDate field in an instance of TransactionSearchObject.
`java.lang.String` | `getEUID()` Retrieves the value of the EUID field in an instance of TransactionSearchObject.
`java.lang.String` | `getEUID1()` Retrieves the value of the EUID1 field in an instance of TransactionSearchObject.
`java.lang.String` | `getEUID2()` Retrieves the value of the EUID2 field in an instance of TransactionSearchObject.
`java.lang.String` | `getEUIDType()` Get EUID type
`java.lang.String` | `getEUIDType1()` Get EUID1 Type
`java.lang.String` | `getEUIDType2()` Get EUID2 type
`java.lang.String` | `getFunction()` Retrieves the value of the function field in an instance of TransactionSearchObject.
`java.lang.String` | `getLID()` Retrieves the value of the lid field in an instance of TransactionSearchObject.
`java.lang.String` | `getLID1()` Retrieves the value of the lid1 field in an instance of TransactionSearchObject.
`java.lang.String` | `getLID2()` Retrieves the value of the lid2 field in an instance of TransactionSearchObject.
`java.lang.String` | `getLIDType()` Get local id type
`java.lang.String` | `getLIDType1()` Get local id type 1
`java.lang.String` | `getLIDType2()` Get local id type 2
`int` | `getMaxElements()` Retrieves an integer indicating the maximum number of results that can be returned in a transaction history search.
`int` | `getPageSize()` Retrieves an integer indicating the maximum number of results that can be transferred to the caller at one time.
`java.util.Date` | `getStartDate()` Retrieves the value of the startDate field in an instance of TransactionSearchObject.
`java.lang.String` | `getSystemCode()` Retrieves the value of the systemCode field in an instance of TransactionSearchObject.
`java.lang.String` | `getSystemUser()` Retrieves the value of the systemUser field in an instance of TransactionSearchObject.
`TransactionObject` | `getTransactionObject()` Retrieves the transaction object (class TransactionObject) in an instance of TransactionSearchObject.
`(package private) void` | `setDefaults()`
`void` | `setEndDate(java.util.Date eDate)` Sets the ending date for an instance of TransactionSearchObject.
`void` | `setEUID(java.lang.String id)` Sets the EUID for an instance of TransactionSearchObject.
`void` | `setEUID1(java.lang.String id)` Sets the primary EUID (the EUID1 field) for an instance of TransactionSearchObject.
`void` | `setEUID2(java.lang.String id)` Sets the secondary EUID (the EUID2 field) for an instance of TransactionSearchObject.
`void` | `setEUIDType(java.lang.String type)` Set EUID type
`void` | `setEUIDType1(java.lang.String type)` Set EUID type 1
`void` | `setEUIDType2(java.lang.String type)` Set EUID type 2
`void` | `setFunction(java.lang.String function)` Sets the function for an instance of TransactionSearchObject.
`void` | `setLID(java.lang.String lid)` Sets the local ID for an instance of TransactionSearchObject.
`void` | `setLID1(java.lang.String lid)` Sets the primary local ID (the LID1 field) for an instance of TransactionSearchObject.
`void` | `setLID2(java.lang.String lid)` Sets the secondary local ID (the LID2 field) for an instance of TransactionSearchObject.
`void` | `setLIDType(java.lang.String type)` Set local id type
`void` | `setLIDType1(java.lang.String type)` Set Local type 1
`void` | `setLIDType2(java.lang.String type)` Set local id type 2
`void` | `setMaxElements(int value)` Sets the maximum number of results that can be returned from a transaction history search.
`void` | `setPageSize(int value)` Sets the maximum number of results that can be transferred to the caller at a given time.
`void` | `setStartDate(java.util.Date sDate)` Sets the starting date for an instance of TransactionSearchObject.
`void` | `setSystemCode(java.lang.String code)` Sets the system code for an instance of TransactionSearchObject.
`void` | `setSystemUser(java.lang.String user)` Sets the user login ID for an instance of TransactionSearchObject.
`java.lang.String` | `toString()` Retrieves a string representation of the fields in the TransactionSearchObject object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionSearchObject

    public TransactionSearchObject()
                            throws ProcessingException

  Creates a new instance of the TransactionSearchObject class.

  Parameters:
    None.

  Throws:
    `ProcessingException` - An error occurred while creating the search object.

### TransactionSearchObject

    public TransactionSearchObject(java.util.Date sDate)
                            throws ProcessingException

  Creates a new instance of the TransactionSearchObject class with a starting date for the search.

  Parameters:
    `sDate` - A starting date for the transaction history search.
  Throws:
    `ProcessingException` - An error occurred while creating the search object.

### TransactionSearchObject

    public TransactionSearchObject(java.util.Date sDate,
                                   java.util.Date eDate)
                            throws ProcessingException

  Creates a new instance of the TransactionSearchObject class with starting and ending dates for the search.

  Parameters:
    `sDate` - A starting date for the transaction history search.
    `eDate` - An ending date for the transaction history search.
  Throws:
    `ProcessingException` - An error occurred while creating the search object.

### TransactionSearchObject

    public TransactionSearchObject(java.lang.String euid,
                                   java.lang.String sysCode,
                                   java.lang.String lid,
                                   java.util.Date sDate,
                                   java.util.Date eDate,
                                   java.lang.String function,
                                   java.lang.String user)
                            throws ProcessingException

  Creates a new instance of the TransactionSearchObject class with search criteria.

  Parameters:
    `euid` - An EUID for the transaction history search.
    `sysCode` - A system code for the transaction history search.
    `lid` - A local ID for the transaction history search.
    `sDate` - A starting date for the transaction history search.
    `eDate` - An ending date for the transaction history search.
    `function` - A transaction type for the transaction history search.
    `user` - A user login ID for the transaction history search.
  Throws:
    `ProcessingException` - An error occurred while creating the search object.

Method Detail

### getEndDate

    public java.util.Date getEndDate()

  Retrieves the value of the endDate field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The ending date for a transaction history search.
  Throws:
    None.

### getEUID

    public java.lang.String getEUID()
                             throws ProcessingException

  Retrieves the value of the EUID field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A string containing an EUID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the EUID.

### getEUID1

    public java.lang.String getEUID1()
                              throws ProcessingException

  Retrieves the value of the EUID1 field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A string containing an EUID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the EUID.

### getEUID2

    public java.lang.String getEUID2()
                              throws ProcessingException

  Retrieves the value of the EUID2 field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A string containing an EUID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the EUID.

### getEUIDType

    public java.lang.String getEUIDType()

  Get EUID type

  Returns:
    EUID type

### getEUIDType1

    public java.lang.String getEUIDType1()

  Get EUID1 Type

  Returns:
    EUID1 type

### getEUIDType2

    public java.lang.String getEUIDType2()

  Get EUID2 type

  Returns:
    EUID2 type

### getFunction

    public java.lang.String getFunction()
                                 throws ProcessingException

  Retrieves the value of the function field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - The function field in a transaction history search.
  Throws:
    `ProcessingException` - An error occurred while retrieving the function.

### getLID

    public java.lang.String getLID()
                            throws ProcessingException

  Retrieves the value of the lid field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the local ID.

### getLID1

    public java.lang.String getLID1()
                             throws ProcessingException

  Retrieves the value of the lid1 field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the local ID.

### getLID2

    public java.lang.String getLID2()
                             throws ProcessingException

  Retrieves the value of the lid2 field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - A local ID.
  Throws:
    `ProcessingException` - An error occurred while retrieving the local ID.

### getLIDType

    public java.lang.String getLIDType()

  Get local id type

  Returns:
    local id type

### getLIDType1

    public java.lang.String getLIDType1()

  Get local id type 1

  Returns:
    local id type 1

### getLIDType2

    public java.lang.String getLIDType2()

  Get local id type 2

  Returns:
    local id type 2

### getMaxElements

    public int getMaxElements()

  Retrieves an integer indicating the maximum number of results that can be returned in a transaction history search.

  Parameters:
    None.

  Returns:
    `int` - The maximum number of records to return.
  Throws:
    None.

### getPageSize

    public int getPageSize()

  Retrieves an integer indicating the maximum number of results that can be transferred to the caller at one time.

  Parameters:
    None.

  Returns:
    `int` - The maximum number of records to transfer.
  Throws:
    None.

### getStartDate

    public java.util.Date getStartDate()

  Retrieves the value of the startDate field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The starting date for a transaction history search.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ProcessingException

  Retrieves the value of the systemCode field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - The system code for a transaction history search.
  Throws:
    `ProcessingException` - An error occurred while retrieving the system code.

### getSystemUser

    public java.lang.String getSystemUser()
                                   throws ProcessingException

  Retrieves the value of the systemUser field in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `String` - The user login ID for a transaction history search.
  Throws:
    `ProcessingException` - An error occurred while retrieving the user login ID.

### getTransactionObject

    public TransactionObject getTransactionObject()

  Retrieves the transaction object (class TransactionObject) in an instance of TransactionSearchObject.

  Parameters:
    None.

  Returns:
    `TransactionObject` - A transaction object.
  Throws:
    None.

### setDefaults

    void setDefaults()

### setEndDate

    public void setEndDate(java.util.Date eDate)

  Sets the ending date for an instance of TransactionSearchObject.

  Parameters:
    `eDate` - The ending date for the transaction history search.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String id)
                 throws ProcessingException

  Sets the EUID for an instance of TransactionSearchObject.

  Parameters:
    `id` - A string containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setEUID1

    public void setEUID1(java.lang.String id)
                  throws ProcessingException

  Sets the primary EUID (the EUID1 field) for an instance of TransactionSearchObject.

  Parameters:
    `id` - A string containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setEUID2

    public void setEUID2(java.lang.String id)
                  throws ProcessingException

  Sets the secondary EUID (the EUID2 field) for an instance of TransactionSearchObject.

  Parameters:
    `id` - A string containing an EUID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setEUIDType

    public void setEUIDType(java.lang.String type)

  Set EUID type

  Parameters:
    `type` - EUID type

### setEUIDType1

    public void setEUIDType1(java.lang.String type)

  Set EUID type 1

  Parameters:
    `type` - EUID type1

### setEUIDType2

    public void setEUIDType2(java.lang.String type)

  Set EUID type 2

  Parameters:
    `type` - EUID type2

### setFunction

    public void setFunction(java.lang.String function)
                     throws ProcessingException

  Sets the function for an instance of TransactionSearchObject.

  Parameters:
    `function` - A function type.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setLID

    public void setLID(java.lang.String lid)
                throws ProcessingException

  Sets the local ID for an instance of TransactionSearchObject.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setLID1

    public void setLID1(java.lang.String lid)
                 throws ProcessingException

  Sets the primary local ID (the LID1 field) for an instance of TransactionSearchObject.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setLID2

    public void setLID2(java.lang.String lid)
                 throws ProcessingException

  Sets the secondary local ID (the LID2 field) for an instance of TransactionSearchObject.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setLIDType

    public void setLIDType(java.lang.String type)

  Set local id type

  Parameters:
    `type` - lid type

### setLIDType1

    public void setLIDType1(java.lang.String type)

  Set Local type 1

  Parameters:
    `type` - lid type1

### setLIDType2

    public void setLIDType2(java.lang.String type)

  Set local id type 2

  Parameters:
    `type` - lid type2

### setMaxElements

    public void setMaxElements(int value)

  Sets the maximum number of results that can be returned from a transaction history search.

  Parameters:
    `value` - The maximum number of records to return.
  Returns:
    `void` - None.
  Throws:
    None.

### setPageSize

    public void setPageSize(int value)

  Sets the maximum number of results that can be transferred to the caller at a given time.

  Parameters:
    `value` - The maximum number of records to transfer.
  Returns:
    `void` - None.
  Throws:
    None.

### setStartDate

    public void setStartDate(java.util.Date sDate)

  Sets the starting date for an instance of TransactionSearchObject.

  Parameters:
    `sDate` - The starting date for the transaction history search.
  Returns:
    `void` - None.
  Throws:
    None.

### setSystemCode

    public void setSystemCode(java.lang.String code)
                       throws ProcessingException

  Sets the system code for an instance of TransactionSearchObject.

  Parameters:
    `code` - The system code for the transaction history search.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### setSystemUser

    public void setSystemUser(java.lang.String user)
                       throws ProcessingException

  Sets the user login ID for an instance of TransactionSearchObject.

  Parameters:
    `user` - The user login ID for the transaction history search.
  Returns:
    `void` - None.
  Throws:
    `ProcessingException` - An error occurred while setting the field value.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the fields in the TransactionSearchObject object.

  Parameters:
    None.

  Returns:
    `String` - The field values contained in the TransactionSearchObject object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.